Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.128.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
6.128.0.0
Broadcast address
6.159.255.255
First usable
6.128.0.1
Last usable
6.159.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 06800000 · Integer 109051904 to 111149055
Reverse DNS zones
128.6.in-addr.arpa
129.6.in-addr.arpa
130.6.in-addr.arpa
131.6.in-addr.arpa
132.6.in-addr.arpa
133.6.in-addr.arpa
134.6.in-addr.arpa
135.6.in-addr.arpa
136.6.in-addr.arpa
137.6.in-addr.arpa
138.6.in-addr.arpa
139.6.in-addr.arpa
140.6.in-addr.arpa
141.6.in-addr.arpa
142.6.in-addr.arpa
143.6.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.10000000.00000000.000000006.128.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00000110.10000000.00000000.000000006.128.0.0
Broadcast00000110.10011111.11111111.111111116.159.255.255
Split into smaller subnets/18

6.128.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.128.0.0/186.128.0.1 to 6.128.63.2546.128.63.25516,382
26.128.64.0/186.128.64.1 to 6.128.127.2546.128.127.25516,382
36.128.128.0/186.128.128.1 to 6.128.191.2546.128.191.25516,382
46.128.192.0/186.128.192.1 to 6.128.255.2546.128.255.25516,382
56.129.0.0/186.129.0.1 to 6.129.63.2546.129.63.25516,382
66.129.64.0/186.129.64.1 to 6.129.127.2546.129.127.25516,382
76.129.128.0/186.129.128.1 to 6.129.191.2546.129.191.25516,382
86.129.192.0/186.129.192.1 to 6.129.255.2546.129.255.25516,382
96.130.0.0/186.130.0.1 to 6.130.63.2546.130.63.25516,382
106.130.64.0/186.130.64.1 to 6.130.127.2546.130.127.25516,382
116.130.128.0/186.130.128.1 to 6.130.191.2546.130.191.25516,382
126.130.192.0/186.130.192.1 to 6.130.255.2546.130.255.25516,382
136.131.0.0/186.131.0.1 to 6.131.63.2546.131.63.25516,382
146.131.64.0/186.131.64.1 to 6.131.127.2546.131.127.25516,382
156.131.128.0/186.131.128.1 to 6.131.191.2546.131.191.25516,382
166.131.192.0/186.131.192.1 to 6.131.255.2546.131.255.25516,382
176.132.0.0/186.132.0.1 to 6.132.63.2546.132.63.25516,382
186.132.64.0/186.132.64.1 to 6.132.127.2546.132.127.25516,382
196.132.128.0/186.132.128.1 to 6.132.191.2546.132.191.25516,382
206.132.192.0/186.132.192.1 to 6.132.255.2546.132.255.25516,382
216.133.0.0/186.133.0.1 to 6.133.63.2546.133.63.25516,382
226.133.64.0/186.133.64.1 to 6.133.127.2546.133.127.25516,382
236.133.128.0/186.133.128.1 to 6.133.191.2546.133.191.25516,382
246.133.192.0/186.133.192.1 to 6.133.255.2546.133.255.25516,382
256.134.0.0/186.134.0.1 to 6.134.63.2546.134.63.25516,382
266.134.64.0/186.134.64.1 to 6.134.127.2546.134.127.25516,382
276.134.128.0/186.134.128.1 to 6.134.191.2546.134.191.25516,382
286.134.192.0/186.134.192.1 to 6.134.255.2546.134.255.25516,382
296.135.0.0/186.135.0.1 to 6.135.63.2546.135.63.25516,382
306.135.64.0/186.135.64.1 to 6.135.127.2546.135.127.25516,382
316.135.128.0/186.135.128.1 to 6.135.191.2546.135.191.25516,382
326.135.192.0/186.135.192.1 to 6.135.255.2546.135.255.25516,382
336.136.0.0/186.136.0.1 to 6.136.63.2546.136.63.25516,382
346.136.64.0/186.136.64.1 to 6.136.127.2546.136.127.25516,382
356.136.128.0/186.136.128.1 to 6.136.191.2546.136.191.25516,382
366.136.192.0/186.136.192.1 to 6.136.255.2546.136.255.25516,382
376.137.0.0/186.137.0.1 to 6.137.63.2546.137.63.25516,382
386.137.64.0/186.137.64.1 to 6.137.127.2546.137.127.25516,382
396.137.128.0/186.137.128.1 to 6.137.191.2546.137.191.25516,382
406.137.192.0/186.137.192.1 to 6.137.255.2546.137.255.25516,382
416.138.0.0/186.138.0.1 to 6.138.63.2546.138.63.25516,382
426.138.64.0/186.138.64.1 to 6.138.127.2546.138.127.25516,382
436.138.128.0/186.138.128.1 to 6.138.191.2546.138.191.25516,382
446.138.192.0/186.138.192.1 to 6.138.255.2546.138.255.25516,382
456.139.0.0/186.139.0.1 to 6.139.63.2546.139.63.25516,382
466.139.64.0/186.139.64.1 to 6.139.127.2546.139.127.25516,382
476.139.128.0/186.139.128.1 to 6.139.191.2546.139.191.25516,382
486.139.192.0/186.139.192.1 to 6.139.255.2546.139.255.25516,382
496.140.0.0/186.140.0.1 to 6.140.63.2546.140.63.25516,382
506.140.64.0/186.140.64.1 to 6.140.127.2546.140.127.25516,382
516.140.128.0/186.140.128.1 to 6.140.191.2546.140.191.25516,382
526.140.192.0/186.140.192.1 to 6.140.255.2546.140.255.25516,382
536.141.0.0/186.141.0.1 to 6.141.63.2546.141.63.25516,382
546.141.64.0/186.141.64.1 to 6.141.127.2546.141.127.25516,382
556.141.128.0/186.141.128.1 to 6.141.191.2546.141.191.25516,382
566.141.192.0/186.141.192.1 to 6.141.255.2546.141.255.25516,382
576.142.0.0/186.142.0.1 to 6.142.63.2546.142.63.25516,382
586.142.64.0/186.142.64.1 to 6.142.127.2546.142.127.25516,382
596.142.128.0/186.142.128.1 to 6.142.191.2546.142.191.25516,382
606.142.192.0/186.142.192.1 to 6.142.255.2546.142.255.25516,382
616.143.0.0/186.143.0.1 to 6.143.63.2546.143.63.25516,382
626.143.64.0/186.143.64.1 to 6.143.127.2546.143.127.25516,382
636.143.128.0/186.143.128.1 to 6.143.191.2546.143.191.25516,382
646.143.192.0/186.143.192.1 to 6.143.255.2546.143.255.25516,382
656.144.0.0/186.144.0.1 to 6.144.63.2546.144.63.25516,382
666.144.64.0/186.144.64.1 to 6.144.127.2546.144.127.25516,382
676.144.128.0/186.144.128.1 to 6.144.191.2546.144.191.25516,382
686.144.192.0/186.144.192.1 to 6.144.255.2546.144.255.25516,382
696.145.0.0/186.145.0.1 to 6.145.63.2546.145.63.25516,382
706.145.64.0/186.145.64.1 to 6.145.127.2546.145.127.25516,382
716.145.128.0/186.145.128.1 to 6.145.191.2546.145.191.25516,382
726.145.192.0/186.145.192.1 to 6.145.255.2546.145.255.25516,382
736.146.0.0/186.146.0.1 to 6.146.63.2546.146.63.25516,382
746.146.64.0/186.146.64.1 to 6.146.127.2546.146.127.25516,382
756.146.128.0/186.146.128.1 to 6.146.191.2546.146.191.25516,382
766.146.192.0/186.146.192.1 to 6.146.255.2546.146.255.25516,382
776.147.0.0/186.147.0.1 to 6.147.63.2546.147.63.25516,382
786.147.64.0/186.147.64.1 to 6.147.127.2546.147.127.25516,382
796.147.128.0/186.147.128.1 to 6.147.191.2546.147.191.25516,382
806.147.192.0/186.147.192.1 to 6.147.255.2546.147.255.25516,382
816.148.0.0/186.148.0.1 to 6.148.63.2546.148.63.25516,382
826.148.64.0/186.148.64.1 to 6.148.127.2546.148.127.25516,382
836.148.128.0/186.148.128.1 to 6.148.191.2546.148.191.25516,382
846.148.192.0/186.148.192.1 to 6.148.255.2546.148.255.25516,382
856.149.0.0/186.149.0.1 to 6.149.63.2546.149.63.25516,382
866.149.64.0/186.149.64.1 to 6.149.127.2546.149.127.25516,382
876.149.128.0/186.149.128.1 to 6.149.191.2546.149.191.25516,382
886.149.192.0/186.149.192.1 to 6.149.255.2546.149.255.25516,382
896.150.0.0/186.150.0.1 to 6.150.63.2546.150.63.25516,382
906.150.64.0/186.150.64.1 to 6.150.127.2546.150.127.25516,382
916.150.128.0/186.150.128.1 to 6.150.191.2546.150.191.25516,382
926.150.192.0/186.150.192.1 to 6.150.255.2546.150.255.25516,382
936.151.0.0/186.151.0.1 to 6.151.63.2546.151.63.25516,382
946.151.64.0/186.151.64.1 to 6.151.127.2546.151.127.25516,382
956.151.128.0/186.151.128.1 to 6.151.191.2546.151.191.25516,382
966.151.192.0/186.151.192.1 to 6.151.255.2546.151.255.25516,382
976.152.0.0/186.152.0.1 to 6.152.63.2546.152.63.25516,382
986.152.64.0/186.152.64.1 to 6.152.127.2546.152.127.25516,382
996.152.128.0/186.152.128.1 to 6.152.191.2546.152.191.25516,382
1006.152.192.0/186.152.192.1 to 6.152.255.2546.152.255.25516,382
1016.153.0.0/186.153.0.1 to 6.153.63.2546.153.63.25516,382
1026.153.64.0/186.153.64.1 to 6.153.127.2546.153.127.25516,382
1036.153.128.0/186.153.128.1 to 6.153.191.2546.153.191.25516,382
1046.153.192.0/186.153.192.1 to 6.153.255.2546.153.255.25516,382
1056.154.0.0/186.154.0.1 to 6.154.63.2546.154.63.25516,382
1066.154.64.0/186.154.64.1 to 6.154.127.2546.154.127.25516,382
1076.154.128.0/186.154.128.1 to 6.154.191.2546.154.191.25516,382
1086.154.192.0/186.154.192.1 to 6.154.255.2546.154.255.25516,382
1096.155.0.0/186.155.0.1 to 6.155.63.2546.155.63.25516,382
1106.155.64.0/186.155.64.1 to 6.155.127.2546.155.127.25516,382
1116.155.128.0/186.155.128.1 to 6.155.191.2546.155.191.25516,382
1126.155.192.0/186.155.192.1 to 6.155.255.2546.155.255.25516,382
1136.156.0.0/186.156.0.1 to 6.156.63.2546.156.63.25516,382
1146.156.64.0/186.156.64.1 to 6.156.127.2546.156.127.25516,382
1156.156.128.0/186.156.128.1 to 6.156.191.2546.156.191.25516,382
1166.156.192.0/186.156.192.1 to 6.156.255.2546.156.255.25516,382
1176.157.0.0/186.157.0.1 to 6.157.63.2546.157.63.25516,382
1186.157.64.0/186.157.64.1 to 6.157.127.2546.157.127.25516,382
1196.157.128.0/186.157.128.1 to 6.157.191.2546.157.191.25516,382
1206.157.192.0/186.157.192.1 to 6.157.255.2546.157.255.25516,382
1216.158.0.0/186.158.0.1 to 6.158.63.2546.158.63.25516,382
1226.158.64.0/186.158.64.1 to 6.158.127.2546.158.127.25516,382
1236.158.128.0/186.158.128.1 to 6.158.191.2546.158.191.25516,382
1246.158.192.0/186.158.192.1 to 6.158.255.2546.158.255.25516,382
1256.159.0.0/186.159.0.1 to 6.159.63.2546.159.63.25516,382
1266.159.64.0/186.159.64.1 to 6.159.127.2546.159.127.25516,382
1276.159.128.0/186.159.128.1 to 6.159.191.2546.159.191.25516,382
1286.159.192.0/186.159.192.1 to 6.159.255.2546.159.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses